summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--office/auctex/README11
-rw-r--r--office/auctex/auctex.SlackBuild66
-rw-r--r--office/auctex/auctex.info8
-rw-r--r--office/auctex/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/office/auctex/README b/office/auctex/README
new file mode 100644
index 0000000000..ccf0a1a53a
--- /dev/null
+++ b/office/auctex/README
@@ -0,0 +1,11 @@
+AUCTEX is an extensible package for writing and formatting TeX files in
+GNU Emacs and XEmacs.
+
+It provides the most extensive LaTeX editing support available for a
+general purpose editor. Apart from the customary TeX shell
+functionality, it provides syntax highlighting, smart indentation and
+formatting, previews of mathematics and other stuff right in the editing
+buffer (preview-latex), smart folding of syntactical elements, macro and
+environment completion. It also supports the self-documenting .dtx
+format from the LaTeX project. Support for other TeX-based formats
+includes ConTeXt and plain TeX, but is quite more sketchy.
diff --git a/office/auctex/auctex.SlackBuild b/office/auctex/auctex.SlackBuild
new file mode 100644
index 0000000000..81b9bf397a
--- /dev/null
+++ b/office/auctex/auctex.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for AUCTeX
+
+# Written by Aleksandar B. Samardzic (<asamardzic@matf.bg.ac.yu>)
+
+set -e
+
+PRGNAM=auctex
+VERSION=11.84
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --localstatedir=/var \
+ --infodir=/usr/info
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYING ChangeLog FAQ INSTALL README RELEASE TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/auctex/auctex.info b/office/auctex/auctex.info
new file mode 100644
index 0000000000..cd8cc2c50c
--- /dev/null
+++ b/office/auctex/auctex.info
@@ -0,0 +1,8 @@
+PRGNAM="auctex"
+VERSION="11.84"
+HOMEPAGE="http://www.gnu.org/software/auctex/"
+DOWNLOAD="http://ftp.gnu.org/pub/gnu/auctex/auctex-11.84.tar.gz"
+MD5SUM="73970c51221524442c11cde13d0584e9"
+MAINTAINER="Aleksandar B. Samardzic"
+EMAIL="asamardzic@matf.bg.ac.yu"
+APPROVED="rworkman"
diff --git a/office/auctex/slack-desc b/office/auctex/slack-desc
new file mode 100644
index 0000000000..59ec081c7a
--- /dev/null
+++ b/office/auctex/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+auctex: AUCTeX (Emacs package for writing and formatting TeX files)
+auctex:
+auctex: AUCTeX is an extensible package for writing and formatting TeX
+auctex: files in GNU Emacs and XEmacs. It supports many different TeX
+auctex: macro packages, including AMS-TeX, LaTeX, Texinfo, ConTeXt, and
+auctex: docTeX (dtx files).
+auctex:
+auctex: Auctex home page is: http://www.gnu.org/software/auctex/
+auctex:
+auctex:
+auctex: